Change in osmo-e1-hardware[master]: contrib/jenkins.sh 'publish' fixes

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

laforge gerrit-no-reply at lists.osmocom.org
Thu Dec 17 16:20:04 UTC 2020


laforge has submitted this change. ( https://gerrit.osmocom.org/c/osmo-e1-hardware/+/21768 )

Change subject: contrib/jenkins.sh 'publish' fixes
......................................................................

contrib/jenkins.sh 'publish' fixes

* don't install icE1usb files to e1-tracer directory
* don't replicate symlinks but copy

Change-Id: I6dff99dcc2ab465558ad6344ebb9cba73005cf34
---
M contrib/jenkins.sh
1 file changed, 19 insertions(+), 2 deletions(-)

Approvals:
  laforge: Looks good to me, approved; Verified



diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
index 5bc05f7..1a0750f 100755
--- a/contrib/jenkins.sh
+++ b/contrib/jenkins.sh
@@ -5,11 +5,25 @@
 # * WITH_MANUALS: build manual PDFs if set to "1"
 # * PUBLISH: upload manuals after building if set to "1" (ignored without WITH_MANUALS = "1")
 
+if ! [ -x "$(command -v osmo-build-dep.sh)" ]; then
+	echo "Error: We need to have scripts/osmo-deps.sh from http://git.osmocom.org/osmo-ci/ in PATH !"
+	exit 2
+fi
+
 set -e
 
 TOPDIR=`pwd`
 publish="$1"
 
+base="$PWD"
+deps="$base/deps"
+inst="$deps/install"
+export deps inst
+
+osmo-clean-workspace.sh
+
+mkdir "$deps" || true
+
 # we assume that PATH includes the path to the respective toolchain
 
 # firmware build
@@ -33,13 +47,14 @@
 EOF
 	SSH_COMMAND="ssh -o 'UserKnownHostsFile=/build/known_hosts' -p 48"
 	rsync --archive --verbose --compress --rsh "$SSH_COMMAND" $TOPDIR/firmware/ice40-riscv/icE1usb/*-*-*-*.{bin,elf} binaries at rita.osmocom.org:web-files/icE1usb/firmware/all/
-	rsync --archive --verbose --compress --rsh "$SSH_COMMAND" $TOPDIR/firmware/ice40-riscv/icE1usb/icE1usb-fw.{bin,elf} binaries at rita.osmocom.org:web-files/e1-tracer/firmware/latest/
+	rsync --archive --copy-links --verbose --compress --rsh "$SSH_COMMAND" $TOPDIR/firmware/ice40-riscv/icE1usb/icE1usb-fw.{bin,elf} binaries at rita.osmocom.org:web-files/icE1usb/firmware/latest/
 	rsync --archive --verbose --compress --rsh "$SSH_COMMAND" $TOPDIR/firmware/ice40-riscv/e1-tracer/*-*-*-*.{bin,elf} binaries at rita.osmocom.org:web-files/e1-tracer/firmware/all/
-	rsync --archive --verbose --compress --rsh "$SSH_COMMAND" $TOPDIR/firmware/ice40-riscv/e1-tracer/e1_tracer-fw.{bin,elf} binaries at rita.osmocom.org:web-files/e1-tracer/firmware/latest/
+	rsync --verbose --copy-links --compress --rsh "$SSH_COMMAND" $TOPDIR/firmware/ice40-riscv/e1-tracer/e1_tracer-fw.{bin,elf} binaries at rita.osmocom.org:web-files/e1-tracer/firmware/latest/
 fi
 
 # manuals build + optional publication
 if [ "$WITH_MANUALS" = "1" ]; then
+	osmo-build-dep.sh osmo-gsm-manuals
 	make -C doc/manuals clean all
 	if [ "$PUBLISH" = "1" ]; then
 		make -C doc/manuals publish
@@ -57,3 +72,5 @@
 		make -C $d ${GATE_VARS}
 	done
 fi
+
+osmo-clean-workspace.sh

-- 
To view, visit https://gerrit.osmocom.org/c/osmo-e1-hardware/+/21768
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: osmo-e1-hardware
Gerrit-Branch: master
Gerrit-Change-Id: I6dff99dcc2ab465558ad6344ebb9cba73005cf34
Gerrit-Change-Number: 21768
Gerrit-PatchSet: 1
Gerrit-Owner: laforge <laforge at osmocom.org>
Gerrit-Reviewer: laforge <laforge at osmocom.org>
Gerrit-MessageType: merged
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20201217/fab94202/attachment.htm>


More information about the gerrit-log mailing list